/*
 * Class WEL_COMMAND
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_297 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_297 [] = {0xFF01,1551,296,0xFFFF};
static const EIF_TYPE_INDEX egt_2_297 [] = {0xFF01,296,0xFFFF};
static const EIF_TYPE_INDEX egt_3_297 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_297 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_297 [] = {0xFF01,296,0xFFFF};
static const EIF_TYPE_INDEX egt_6_297 [] = {0xFF01,296,0xFFFF};
static const EIF_TYPE_INDEX egt_7_297 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_297 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_297 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_297 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_297 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_297 [] = {0xFF01,296,0xFFFF};


static const struct desc_info desc_297[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_297), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_297), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_297), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_297), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_297), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_297), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_297), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_297), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_297), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_297), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_297), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_297), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0251 /*296*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_297), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A71 /*1336*/), 5666, 0},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5667, 0xFFFFFFFF},
};
void Init297(void)
{
	IDSC(desc_297, 0, 296);
	IDSC(desc_297 + 1, 1, 296);
	IDSC(desc_297 + 32, 199, 296);
}


#ifdef __cplusplus
}
#endif
